library(dplyr)
source('common.R')

folderFinalSubmissionsByWeekday <- function(folder) {
  longTable <- applyFolder(folder, finalSubmissionsByWeekday)
  wideMondayToMonday(longTable)
}

# NOTE: the 2020-21 table produced from this script would not be representative, as the
# per-lab .csv files reflect the data after we reran some of the labs during the final
# module marking, to ensure we used the same files that had been finally uploaded to the
# university's VLE. Since AF only stored the last attempt at that time, that means the
# original weekday of the final submission was lost.
#
# The data/2021-final-submissions-by-weekday.csv file has the correct counts by weekday,
# produced before those reruns. This CSV file can be typeset directly into the article,
# e.g. by using pgfplotstable.

data <- folderFinalSubmissionsByWeekday('202122-anonymised-individual')
write.csv(data, 'data/01-finalSubmissionsPerDay.csv', row.names=FALSE)