library(dplyr)
source('common.R')

submissionsByWeekday <- function(path) {
  studentSubmissions <- read.csv(path)

  # Counts how many final submissions we had per calendar day, and adds weekday
  submissionsByDay <- (studentSubmissions
                       %>% mutate(day = as.Date(Created.at))
                       %>% group_by(Assessment.Title)
                       %>% count(day)
                       %>% mutate(weekday = weekdays(day)))
  
  # Limits rows to go from the first Monday to the second Monday (both included)
  mondayToMonday(submissionsByDay) %>% mutate(path = path)
}

data <- wideMondayToMonday(applyFolder('202122-anonymised-individual', submissionsByWeekday))
write.csv(data, 'data/02-submissionsByDay.csv', row.names = FALSE)