library(dplyr)
source('common.R')

countsByAttempts <- function(path) {
  data <- read.csv(path)
  (
    aggregate(Attempt ~ Assessment.Title + Author.Email, data, max)
    %>% count(Assessment.Title, Attempt)
  )
}

counts2021 <- applyFolder('202021-anonymised-individual', countsByAttempts) %>% mutate(Year = '2020--21')
counts2122 <- applyFolder('202122-anonymised-individual', countsByAttempts) %>% mutate(Year = '2021--22')
counts <- bind_rows(counts2122,counts2021)

levels(counts$Assessment.Title)[levels(counts$Assessment.Title) == 'Day::makeAppointment'] <- 'Lab 1: TDD'
levels(counts$Assessment.Title)[levels(counts$Assessment.Title) == 'Inheritance lab'] <- 'Lab 2: inheritance'
levels(counts$Assessment.Title)[levels(counts$Assessment.Title) == 'Abstract classes and interfaces'] <- 'Lab 3: interfaces 1'
levels(counts$Assessment.Title)[levels(counts$Assessment.Title) == 'Lab 4: Foxes and Rabbits from CRC cards'] <- 'Lab 4: interfaces 2'
levels(counts$Assessment.Title)[levels(counts$Assessment.Title) == 'Lab 7: Java Collections Framework and generics'] <- 'Lab 7: collections'
levels(counts$Assessment.Title)[levels(counts$Assessment.Title) == 'Lab 8: JavaFX preparatory lab'] <- 'Lab 8: JavaFX prep'
levels(counts$Assessment.Title)[levels(counts$Assessment.Title) == 'Lab 9: JavaFX assessed lab'] <- 'Lab 9: JavaFX assessed'
levels(counts$Assessment.Title)[levels(counts$Assessment.Title) == 'Lab 10: File I/O and Exceptions'] <- 'Lab 10: I/O and exceptions'

write.csv(counts, 'data/03-attemptsByStudent.csv', row.names = FALSE)