library(dplyr)
source('common.R')

achievedRatios <- function(path) {
  data <- read.csv(path)
  finalSubmissions <- (
    data
    %>% group_by(Author.Email)
    %>% top_n(1, Attempt)
    %>% ungroup()
  )

  achievedRatio <- (
    finalSubmissions
    %>% mutate(Achieved.Ratio = Achieved.Marks/Achievable.Marks)
    %>% select('Assessment.Title', 'Achieved.Ratio')
  )
}

marks2021 <- applyFolder('202021-anonymised-individual', achievedRatios) %>% mutate(Year = '2020--21')
marks2122 <- applyFolder('202122-anonymised-individual', achievedRatios) %>% mutate(Year = '2021--22')
marks <- bind_rows(marks2021,marks2122)

levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Day::makeAppointment'] <- 'Lab 1: TDD'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Inheritance lab'] <- 'Lab 2: inheritance'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Abstract classes and interfaces'] <- 'Lab 3: interfaces 1'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 4: Foxes and Rabbits from CRC cards'] <- 'Lab 4: interfaces 2'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 7: Java Collections Framework and generics'] <- 'Lab 7: collections'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 8: JavaFX preparatory lab'] <- 'Lab 8: JavaFX prep'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 9: JavaFX assessed lab'] <- 'Lab 9: JavaFX assessed'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 10: File I/O and Exceptions'] <- 'Lab 10: I/O and exceptions'

write.csv(marks, 'data/04-markDistribution.csv', row.names = FALSE)