library(ggplot2)
library(ggpattern)
source('common.R')

marks <- read.csv('data/04-markDistribution.csv')

pdf('figs/boxplot-marks.pdf', width=9, height=5)
(ggplot(data=marks, aes(x=Assessment.Title, y=Achieved.Ratio, fill=Year))
  + geom_boxplot_pattern(
    aes(pattern=Year),
    pattern_spacing=0.02,
    pattern_fill='white',
    pattern_colour='white',
    width=0.5,
    pattern_key_scale_factor=0.5
  )
  + scale_x_discrete(limits=rev)
  + coord_flip()
  + labs(x="", y='Achieved mark ratio')
  + scale_color_brewer()
  + theme_bw()
  + theme(legend.position='top')
)
dev.off()