library(ggplot2)
library(ggpattern)
source('common.R')

marks <- read.csv('data/04-markDistribution.csv')

# Do a two-sided Mann-Whitney-Wilcoxon U test (null hypothesis is that
# the distributions of both populations are identical, and alternative
# hypothesis is that they are not identical).

compareYears <- function (x) {
  test <- wilcox.test(Achieved.Ratio ~ Year,
                      data=marks %>% filter(Assessment.Title == x[1]),
                      digits.rank = 7,
                      paired = FALSE)
  test$p.value
}

labs <- data.frame(lab=unique(marks$Assessment.Title))
labs$p.value <- apply(labs, 1, compareYears)

write.csv(labs, 'data/04-markDistribution-mwu.csv')
printTable(labs, 'tex/markDistribution-pvalues.tex')