library(dplyr)
library(plyr)
library(xtable)
source('common.R')

achievedRatios <- function(path) {
  data <- read.csv(path)
  submissions <- (
    data
    %>% group_by(Author.Email)
    %>% ungroup()
  )

  achievedRatio <- (
    submissions
    %>% mutate(Achieved.Ratio = Achieved.Marks/Achievable.Marks)
    %>% select('Assessment.Title', 'Attempt', 'Achieved.Ratio')
  )
}

marks <- applyFolder('202122-anonymised-individual', achievedRatios)
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Day::makeAppointment'] <- 'Lab 1: TDD'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Inheritance lab'] <- 'Lab 2: inheritance'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Abstract classes and interfaces'] <- 'Lab 3: interfaces 1'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 4: Foxes and Rabbits from CRC cards'] <- 'Lab 4: interfaces 2'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 7: Java Collections Framework and generics'] <- 'Lab 7: collections'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 8: JavaFX preparatory lab'] <- 'Lab 8: JavaFX prep'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 9: JavaFX assessed lab'] <- 'Lab 9: JavaFX assessed'
levels(marks$Assessment.Title)[levels(marks$Assessment.Title) == 'Lab 10: File I/O and Exceptions'] <- 'Lab 10: I/O and exceptions'

write.csv(marks, 'data/05-markKendall.csv', row.names = FALSE)