library(dplyr)
library(readxl)

xls <- read_excel('202122-raw/Mid-module survey on AutoFeedback.xls')

helpedIdentify <- xls %>% count(`Answer 3`) %>% mutate(question = "Q3: AF helped identify issues") %>% rename(answer=`Answer 3`)
feedbackUnderstandable <- xls %>% count(`Answer 5`) %>% mutate(question = "Q5: feedback was understandable") %>% rename(answer=`Answer 5`)
videoPreference <- xls %>% count(`Answer 7`) %>% mutate(question = "Q6: videos for feedback") %>% rename(answer=`Answer 7`)
usedInOtherModules <- xls %>% count(`Answer 8`) %>% mutate(question = "Q8: AF for other modules") %>% rename(answer=`Answer 8`)

likert <- bind_rows(helpedIdentify, feedbackUnderstandable)
likert$answer <- factor(likert$answer, levels = c('Strongly Agree', 'Agree', 'Neither Agree nor Disagree', 'Disagree', '<Unanswered>'))

write.csv(likert, 'data/07-midModuleSurvey-likert.csv', row.names=FALSE)
write.csv(videoPreference, 'data/07-midModuleSurvey-videoPreference.csv', row.names=FALSE)
write.csv(usedInOtherModules, 'data/07-midModuleSurvey-usedInOtherModules.csv', row.names=FALSE)