library(ggplot2)
library(cowplot)

## Join into single table

ratios <- read.csv('data/08-participation.csv')

## Draw plot

plotByEngaged <- (
  ggplot(ratios, aes(x=week, y=ratioOfMax, color=year, linetype=year))
  + geom_line()
  + geom_point()
  + theme_bw()
  + scale_y_continuous(limits = c(0.5, 1))
  + scale_x_continuous(breaks = seq(1,14), limits=c(1,14))
  + theme(legend.position = 'top', legend.title = element_blank(), legend.margin=margin(), axis.text.x = element_blank(), plot.margin = margin(t=0, b=0, l=0, r=0, unit="cm"), panel.grid.minor = element_blank())
  + labs(x='')
)

plotByEnrolled <- (
  ggplot(ratios, aes(x=week, y=ratioOfEnrolled, color=year, linetype=year))
  + geom_line()
  + geom_point()
  + theme_bw()
  + scale_y_continuous(limits = c(0.5, 1))
  + scale_x_continuous(breaks = seq(1,14), limits=c(1,14))
  + theme(legend.position = 'none', plot.margin = margin(t=0, b=0, l=0, r=0, unit="cm"), panel.grid.minor = element_blank())
)

pdf('figs/participation-ratios.pdf', width=4, height=3)
plot_grid(plotByEngaged, plotByEnrolled, ncol=1, rel_heights = c(1.2, 1.0))
dev.off()