library(dplyr)
source('common.R')

data <- applyFolder('202122-anonymised-individual', function (path) read.csv(path))

levels(data$Assessment.Title)[levels(data$Assessment.Title) == 'Day::makeAppointment'] <- 'Lab 1: TDD'
levels(data$Assessment.Title)[levels(data$Assessment.Title) == 'Inheritance lab'] <- 'Lab 2: inheritance'
levels(data$Assessment.Title)[levels(data$Assessment.Title) == 'Abstract classes and interfaces'] <- 'Lab 3: interfaces 1'
levels(data$Assessment.Title)[levels(data$Assessment.Title) == 'Lab 4: Foxes and Rabbits from CRC cards'] <- 'Lab 4: interfaces 2'
levels(data$Assessment.Title)[levels(data$Assessment.Title) == 'Lab 7: Java Collections Framework and generics'] <- 'Lab 7: collections'
levels(data$Assessment.Title)[levels(data$Assessment.Title) == 'Lab 8: JavaFX preparatory lab'] <- 'Lab 8: JavaFX prep'
levels(data$Assessment.Title)[levels(data$Assessment.Title) == 'Lab 9: JavaFX assessed lab'] <- 'Lab 9: JavaFX assessed'
levels(data$Assessment.Title)[levels(data$Assessment.Title) == 'Lab 10: File I/O and Exceptions'] <- 'Lab 10: I/O and exceptions'

deltas <- (
  data
  %>% group_by(Assessment.Title, Author.Email)
  %>% mutate(delta = order_by(Attempt, Achieved.Marks - lag(Achieved.Marks)))
  %>% mutate(deltaRatio = delta/Achievable.Marks)
  %>% filter(!is.na(deltaRatio))
  %>% ungroup()
  %>% select(Assessment.Title, Attempt, deltaRatio)
)

write.csv(deltas, 'data/09-attemptDeltaDistribution.csv', row.names=FALSE)