library(ggplot2)

deltas <- read.csv('data/09-attemptDeltaDistribution.csv')

pdf('figs/boxplot-markDeltas.pdf', width=9, height=3)
(
  ggplot(deltas, aes(x=Assessment.Title, y=deltaRatio))
  + geom_boxplot()
  + coord_trans()
  + scale_x_discrete(limits=rev)
  + coord_flip()
  + labs(x="", y='Difference in achieved mark ratio between successive attempts')
  + scale_color_brewer()
  + theme_bw()
)
dev.off()